To run the APMIA with non- root user for MQ monitoring

book

Article ID: 189113

calendar_today

Updated On:

Products

CA Application Performance Management Agent (APM / Wily / Introscope) CA Application Performance Management (APM / Wily / Introscope) INTROSCOPE DX Application Performance Management

Issue/Introduction

We have downloaded the agent from APM SAAS and agent version is 20.1.0.44. We  need to upgrade our MQ agent from 9.x and 10.x to this version so it can be migrated to the APM SAAS environment. MQ Agent is running with two users which pulls all the information of QMGRs fro their respective servers. We need to run and test this agent with these users only. But when we try to run the APMIA installer with the command " to ./APMCtrl install user=apmuser" this gives errorYou must  as "error “Must be root to perform this action”. 

The on-premise environment of APM is running with 10,7 currently.

Kindly look into it and let us know how it can be resolved. 

 

Environment

Release : 10.7.0

Component : APM Agents

Resolution

You must use one of these options 

1) To install, use force_start as a non-sudo user. This must run in background.
OR 
2) install as root/sudo. This is required to create / register as a service on the OS.
3)
You can install as sudo user and run as non-privileged user after installation

 The startup script (for Linux) has a runas user placeholder.